Module opencv_cudaoptflow disabled because...

asked 2014-07-02 04:22:25 -0500

Compvis gravatar image

Hi, I'm building latest opencv 3.0. The cmake shows me a text:

"Module opencv_cudaoptflow disabled because opencv_legacy dependency can't be resolved"

Can you tell me how to fix this problem?

Thanks you in advance,

edit retag flag offensive close merge delete

Comments

most likely a bug. opencv_legacy was removed a week ago (in 3.0), probably noone has tested with opencv_cudaoptflow yet.

would you be so nice to report it ?

if you really need 3.0 features, you might be able to circumvent it for now by git reset (head before that commit) (but i have not tried this myself)

berak gravatar imageberak ( 2014-07-02 04:33:29 -0500 )edit
2

I reported, thanks

Compvis gravatar imageCompvis ( 2014-07-02 04:58:28 -0500 )edit

the buildbot is getting a revamp atm.

in case you did not find it, just type 2490 into the id box

berak gravatar imageberak ( 2014-07-04 01:42:59 -0500 )edit

How to know if the bug is fixed ? in which branch? (2.4 or 3.0)

Compvis gravatar imageCompvis ( 2014-07-04 02:29:26 -0500 )edit
1

sorry, 2940, ofc.

you made pr for the master(3.0) branch. so 2.4.9 is not affected by it. (and the problem is only in master, afaik)

"How to know if the bug is fixed ?" - that's a good question.

i may be wrong, but it seems, none of the buildbots even tries to compile the cuda modules

at least you know now, that you did not break anything else ;)

berak gravatar imageberak ( 2014-07-04 04:52:19 -0500 )edit